## hackrf 2013.07.1.16.d5cebd

=== firmware/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#
# Copyright 2012 Jared Boone <jared@sharebrained.com>
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

TARGETS = blinky \
		  blinky_rom_to_ram \
		  mixertx \
		  sgpio \
		  sgpio-rx \
		  simpletx \
		  startup \
		  startup_systick \
		  startup_systick_perfo \
		  hackrf_usb \
		  hackrf_usb_rom_to_ram

#	      blinky_rom_to_ram
#		  sgpio_passthrough_rom_to_ram
#		  startup_systick_perfo_rom_to_ram

all: build

build: examples

examples:
	$(Q)for i in $(TARGETS); do \
		if [ -d $$i ]; then \
			printf "  BUILD   $$i\n"; \
			$(MAKE) -C $$i || exit $?; \
		fi; \
	done

clean:
	$(Q)for i in $(addprefix lib/,$(TARGETS)) \
		     $(TARGETS); do \
		if [ -d $$i ]; then \
			printf "  CLEAN   $$i\n"; \
			$(MAKE) -C $$i clean || exit $?; \
		fi; \
	done

.PHONY: build examples

=== firmware/blinky/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#
# Copyright 2012 Michael Ossmann <mike@ossmann.com>
# Copyright 2012 Jared Boone <jared@sharebrained.com>
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

BINARY = blinky

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/si5351c.c \
	../common/max2837.c

include ../common/Makefile_inc.mk

=== firmware/blinky_rom_to_ram/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#
# Copyright 2013 Benjamin Vernoux <titanmkd@gmail.com>
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

BINARY = blinky_rom_to_ram

SRC_DIR = blinky

SRC = blinky.c \
	../common/hackrf_core.c \
	../common/si5351c.c \
	../common/max2837.c

LDSCRIPT = ../common/LPC4330_M4_rom_to_ram.ld

%.o: ../$(SRC_DIR)/%.c  Makefile
	@printf "  CC      $(subst $(shell pwd)/,,$(@))\n"
	$(Q)$(CC) $(CFLAGS) -o $@ -c $<

include ../common/Makefile_inc.mk

=== firmware/cpldjtagprog/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#
# Copyright 2012 Michael Ossmann <mike@ossmann.com>
# Copyright 2012 Jared Boone <jared@sharebrained.com>
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

BINARY = cpldjtagprog

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/si5351c.c \
	../common/max2837.c \
	../common/cpld_jtag.c \
	../common/xapp058/lenval.c \
	../common/xapp058/micro.c \
	../common/xapp058/ports.c

include ../common/Makefile_inc.mk

=== firmware/cpldjtagprog_rom_to_ram/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#
# Copyright 2013 Benjamin Vernoux <titanmkd@gmail.com>
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

BINARY = cpldjtagprog_rom_to_ram

SRC_DIR = cpldjtagprog

SRC = cpldjtagprog.c \
	../common/hackrf_core.c \
	../common/si5351c.c \
	../common/max2837.c \
	../common/cpld_jtag.c \
	../common/xapp058/lenval.c \
	../common/xapp058/micro.c \
	../common/xapp058/ports.c

LDSCRIPT = ../common/LPC4330_M4_rom_to_ram.ld

%.o: ../$(SRC_DIR)/%.c  Makefile
	@printf "  CC      $(subst $(shell pwd)/,,$(@))\n"
	$(Q)$(CC) $(CFLAGS) -o $@ -c $<

include ../common/Makefile_inc.mk

=== firmware/hackrf_usb/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#
# Copyright 2012 Jared Boone <jared@sharebrained.com>
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

BINARY = hackrf_usb

SRC = $(BINARY).c \
	usb.c \
	usb_request.c \
	usb_standard_request.c \
	usb_descriptor.c \
	../common/fault_handler.c \
	../common/hackrf_core.c \
	../common/sgpio.c \
	../common/si5351c.c \
	../common/max2837.c \
	../common/max5864.c \
	../common/rffc5071.c \
	../common/w25q80bv.c \
	../common/cpld_jtag.c \
	../common/xapp058/lenval.c \
	../common/xapp058/micro.c \
	../common/xapp058/ports.c \
	../common/rom_iap.c

include ../common/Makefile_inc.mk

=== firmware/hackrf_usb_rom_to_ram/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#
# Copyright 2013 Benjamin Vernoux <titanmkd@gmail.com>
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

BINARY = hackrf_usb_rom_to_ram

SRC_DIR = hackrf_usb

SRC = hackrf_usb.c \
	usb.c \
	usb_request.c \
	usb_standard_request.c \
	usb_descriptor.c \
	../common/fault_handler.c \
	../common/hackrf_core.c \
	../common/sgpio.c \
	../common/si5351c.c \
	../common/max2837.c \
	../common/max5864.c \
	../common/rffc5071.c \
	../common/w25q80bv.c \
	../common/cpld_jtag.c \
	../common/xapp058/lenval.c \
	../common/xapp058/micro.c \
	../common/xapp058/ports.c \
	../common/rom_iap.c

LDSCRIPT = ../common/LPC4330_M4_rom_to_ram.ld

%.o: ../$(SRC_DIR)/%.c  Makefile
	@printf "  CC      $(subst $(shell pwd)/,,$(@))\n"
	$(Q)$(CC) $(CFLAGS) -o $@ -c $<

include ../common/Makefile_inc.mk

=== firmware/mixertx/Makefile ===
# Hey Emacs, this is a -*- makefile -*-

BINARY = mixertx

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/si5351c.c \
	../common/max2837.c \
	../common/rffc5071.c

include ../common/Makefile_inc.mk

=== firmware/sgpio-rx/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#
# Copyright 2012 Jared Boone <jared@sharebrained.com>
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

BINARY = sgpio-rx

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/sgpio.c \
	../common/si5351c.c \
	../common/max2837.c \
	../common/max5864.c \
	../common/rffc5071.c

include ../common/Makefile_inc.mk

=== firmware/sgpio/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#
# Copyright 2012 Jared Boone <jared@sharebrained.com>
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

BINARY = sgpio

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/sgpio.c \
	../common/si5351c.c \
	../common/max2837.c \
	../common/max5864.c

include ../common/Makefile_inc.mk

=== firmware/sgpio_passthrough_rom_to_ram/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#
# Copyright 2012 Jared Boone <jared@sharebrained.com>
# Copyright 2012 Benjamin Vernoux <titanmkd@gmail.com>
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

BINARY = sgpio_passthrough

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/si5351c.c \
	../common/max2837.c

LDSCRIPT = ../common/LPC4330_M4_rom_to_ram.ld
include ../common/Makefile_inc.mk

=== firmware/simpletx/Makefile ===
# Hey Emacs, this is a -*- makefile -*-

BINARY = simpletx

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/si5351c.c \
	../common/max2837.c

include ../common/Makefile_inc.mk

=== debian/changelog ===
hackrf (2013.07.1.16.d5cebd-2) unstable; urgency=low

  * Use kfreebsd libusb

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 01 Nov 2013 19:17:55 -0400

hackrf (2013.07.1.16.d5cebd-1) unstable; urgency=low

  * New upstream snapshot (Closes: #724957).
  * Match GNU Radio live distribution version

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 29 Sep 2013 15:36:44 -0400

hackrf (0.0gitf88d206-1) unstable; urgency=low

  * New upstream git

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 08 Jun 2013 16:28:18 -0400

=== debian/control ===
Source: hackrf
Section: libs
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config,
 libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any]
Standards-Version: 3.9.4
Homepage: http://greatscottgadgets.com/hackrf/
Vcs-Git: https://github.com/mossmann/hackrf.git
Vcs-Browser: https://github.com/mossmann/hackrf

Package: libhackrf-dev
Section: libdevel
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: libhackrf0 (= ${binary:Version}), ${misc:Depends}
Description: Software defined radio peripheral
 HackRF is an open source Software Defined Radio that can receive
 and transmit between 30 MHz and 6 GHz. HackRF has a 20 MHz bandwidth.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains development files.

Package: libhackrf0
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Software defined radio peripheral
 HackRF is an open source Software Defined Radio that can receive
 and transmit between 30 MHz and 6 GHz. HackRF has a 20 MHz bandwidth.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains the shared library.

Package: hackrf
Section: libs
Architecture: any
Depends: libhackrf0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Software defined radio peripheral
 HackRF is an open source Software Defined Radio that can receive
 and transmit between 30 MHz and 6 GHz. HackRF has a 20 MHz bandwidth.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains a set of command line utilities:
  * hackrf_cpldjtag: program CLPD
  * hackrf_info: probe device and show configuration
  * hackrf_max2837: chip register read/write tool
  * hackrf_rffc5071: chip register read/write tool
  * hackrf_si5351c: chip register read/write tool
  * hackrf_spiflash: read and write flash data from file.
  * hackrf_transfer: file based transmit and receive sdr

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@ --sourcedirectory=host --builddirectory=build

override_dh_auto_configure: debian/libhackrf0.udev
	dh_auto_configure --sourcedirectory=host --builddirectory=build -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

debian/libhackrf0.udev: host/hackrf-tools/52-hackrf.rules
	cp -p host/hackrf-tools/52-hackrf.rules debian/libhackrf0.udev

## hackrf 2014.04.1

=== firmware/blinky/Makefile ===
--- 
+++ 
@@ -25,7 +25,11 @@
 
 SRC = $(BINARY).c \
 	../common/hackrf_core.c \
+	../common/sgpio.c \
+	../common/rf_path.c \
 	../common/si5351c.c \
-	../common/max2837.c
+	../common/max2837.c \
+	../common/max5864.c \
+	../common/rffc5071.c
 
 include ../common/Makefile_inc.mk

=== firmware/sgpio-rx/Makefile ===
--- 
+++ 
@@ -24,6 +24,8 @@
 
 SRC = $(BINARY).c \
 	../common/hackrf_core.c \
+	../common/tuning.c \
+	../common/rf_path.c \
 	../common/sgpio.c \
 	../common/si5351c.c \
 	../common/max2837.c \

=== firmware/sgpio/Makefile ===
--- 
+++ 
@@ -20,13 +20,15 @@
 # Boston, MA 02110-1301, USA.
 #
 
-BINARY = sgpio
+BINARY = sgpio_test
 
 SRC = $(BINARY).c \
 	../common/hackrf_core.c \
+	../common/rf_path.c \
 	../common/sgpio.c \
 	../common/si5351c.c \
 	../common/max2837.c \
-	../common/max5864.c
+	../common/max5864.c \
+	../common/rffc5071.c
 
 include ../common/Makefile_inc.mk

=== firmware/sgpio_passthrough/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#
# Copyright 2012 Jared Boone <jared@sharebrained.com>
# Copyright 2012 Benjamin Vernoux <titanmkd@gmail.com>
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

BINARY = sgpio_passthrough

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/sgpio.c \
	../common/si5351c.c \
	../common/max2837.c

include ../common/Makefile_inc.mk

=== firmware/simpletx/Makefile ===
# Hey Emacs, this is a -*- makefile -*-

BINARY = simpletx

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/rf_path.c \
	../common/sgpio.c \
	../common/si5351c.c \
	../common/max2837.c \
	../common/max5864.c \
	../common/rffc5071.c

include ../common/Makefile_inc.mk

=== firmware/spiflash/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#
# Copyright 2012 Michael Ossmann <mike@ossmann.com>
# Copyright 2012 Jared Boone <jared@sharebrained.com>
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

BINARY = spiflash

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/sgpio.c \
	../common/si5351c.c \
	../common/max2837.c \
	../common/w25q80bv.c

include ../common/Makefile_inc.mk

=== host/hackrf-tools/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013 Benjamin Vernoux
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

cmake_minimum_required(VERSION 2.8)
project(hackrf-tools C)
set(MAJOR_VERSION 0)
set(MINOR_VERSION 3)
set(PACKAGE hackrf-tools)
set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
set(VERSION ${VERSION_STRING})
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)

if(MSVC)
include_directories(getopt)
add_definitions(/D _CRT_SECURE_NO_WARNINGS)
else()
add_definitions(-Wall)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")
endif()

if(NOT libhackrf_SOURCE_DIR)
find_package(LIBHACKRF REQUIRED)
include_directories(${LIBHACKRF_INCLUDE_DIR})
else()
include_directories(${libhackrf_SOURCE_DIR}/src)
endif()

add_subdirectory(src)

########################################################################
# Create uninstall target
########################################################################

if(NOT hackrf_all_SOURCE_DIR)
configure_file(
    ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)


add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

########################################################################
# Install udev rules
########################################################################
option(INSTALL_UDEV_RULES "Install udev rules for HackRF" OFF)
if (INSTALL_UDEV_RULES)
    install (
        FILES 52-hackrf.rules
        DESTINATION "/etc/udev/rules.d"
        COMPONENT "udev"
        )
else (INSTALL_UDEV_RULES)
    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
endif (INSTALL_UDEV_RULES)

=== host/libhackrf/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013 Benjamin Vernoux
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

cmake_minimum_required(VERSION 2.8)
project(libhackrf C)
set(MAJOR_VERSION 0)
set(MINOR_VERSION 3)
set(PACKAGE libhackrf)
set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
set(VERSION ${VERSION_STRING})
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)

if(MSVC)
	set(THREADS_USE_PTHREADS_WIN32 true)
else()
	add_definitions(-Wall)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")

	INCLUDE(TestBigEndian)
	TEST_BIG_ENDIAN(BIGENDIAN)
	if(${BIGENDIAN})
		 add_definitions(-DHACKRF_BIG_ENDIAN)
	endif(${BIGENDIAN})
endif()
find_package(USB1 REQUIRED)
find_package(Threads REQUIRED)

include_directories(${LIBUSB_INCLUDE_DIR} ${THREADS_PTHREADS_INCLUDE_DIR})

add_subdirectory(src)

########################################################################
# Create Pkg Config File
########################################################################
FOREACH(inc ${LIBUSB_INCLUDE_DIR})
    LIST(APPEND HACKRF_PC_CFLAGS "-I${inc}")
ENDFOREACH(inc)

# use space-separation format for the pc file
STRING(REPLACE ";" " " HACKRF_PC_CFLAGS "${HACKRF_PC_CFLAGS}")
STRING(REPLACE ";" " " HACKRF_PC_LIBS "${HACKRF_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
    UNSET(HACKRF_PC_CFLAGS)
    UNSET(HACKRF_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix \${prefix})
set(libdir \${exec_prefix}/lib)
set(includedir \${prefix}/include)

CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/libhackrf.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/libhackrf.pc
@ONLY)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libhackrf.pc
    DESTINATION lib/pkgconfig
)

########################################################################
# Create uninstall target
########################################################################
if(NOT hackrf_all_SOURCE_DIR)
configure_file(
    ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

=== debian/changelog ===
hackrf (2014.04.1-2) unstable; urgency=low

  * Update to v2014.04.1-4-g44df9d1

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 08 Jul 2014 00:48:33 -0400

hackrf (2014.04.1-1) unstable; urgency=low

  * New upstream tag v2014.04.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 02 May 2014 12:17:09 -0400

hackrf (2013.07.1.452.b7e5dca-1) unstable; urgency=low

  * Update to v2013.07.1-452-gb7e5dca

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 Apr 2014 12:13:48 -0400

hackrf (2013.07.1.16.d5cebd-2~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 21 Jan 2014 20:30:04 -0500

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  This package contains the shared library.
 
 Package: hackrf
-Section: libs
+Section: comm
 Architecture: any
 Depends: libhackrf0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Software defined radio peripheral

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export DEB_HOST_MULTIARCH
+DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
+VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
+              | sed -rne 's,^Version: ([^-]+).*,\1,p')
+GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+\.([0-f]+),\1,p')
 
 %:
 	dh $@ --sourcedirectory=host --builddirectory=build
@@ -10,3 +14,8 @@
 
 debian/libhackrf0.udev: host/hackrf-tools/52-hackrf.rules
 	cp -p host/hackrf-tools/52-hackrf.rules debian/libhackrf0.udev
+
+get-orig-source:
+	git clone https://github.com/mossmann/hackrf.git
+	cd hackrf && git archive --format=tar --prefix=hackrf-$(VER)/  $(GITREV) | xz > ../hackrf_$(VER).orig.tar.xz
+	rm -rf hackrf

## hackrf 2014.08.1

=== firmware/Makefile ===
--- 
+++ 
@@ -21,7 +21,6 @@
 #
 
 TARGETS = blinky \
-		  blinky_rom_to_ram \
 		  mixertx \
 		  sgpio \
 		  sgpio-rx \
@@ -29,12 +28,7 @@
 		  startup \
 		  startup_systick \
 		  startup_systick_perfo \
-		  hackrf_usb \
-		  hackrf_usb_rom_to_ram
-
-#	      blinky_rom_to_ram
-#		  sgpio_passthrough_rom_to_ram
-#		  startup_systick_perfo_rom_to_ram
+		  hackrf_usb
 
 all: build

=== firmware/hackrf_usb/Makefile ===
--- 
+++ 
@@ -20,13 +20,30 @@
 # Boston, MA 02110-1301, USA.
 #
 
-BINARY = hackrf_usb
+ifeq ($(RUN_FROM),RAM)
+	BINARY = hackrf_usb_ram
+else
+	BINARY = hackrf_usb_rom_to_ram
+endif
 
-SRC = $(BINARY).c \
-	usb.c \
-	usb_request.c \
-	usb_standard_request.c \
+SRC_M4_C = hackrf_usb.c \
+	../common/rf_path.c \
+	../common/tuning.c \
+	../common/streaming.c \
+	sgpio_isr.c \
+	usb_bulk_buffer.c \
+	../common/usb.c \
+	../common/usb_request.c \
+	../common/usb_standard_request.c \
 	usb_descriptor.c \
+	usb_device.c \
+	usb_endpoint.c \
+	usb_api_board_info.c \
+	usb_api_cpld.c \
+	usb_api_register.c \
+	usb_api_spiflash.c \
+	usb_api_transceiver.c \
+	../common/usb_queue.c \
 	../common/fault_handler.c \
 	../common/hackrf_core.c \
 	../common/sgpio.c \

=== firmware/mixertx/Makefile ===
--- 
+++ 
@@ -4,8 +4,11 @@
 
 SRC = $(BINARY).c \
 	../common/hackrf_core.c \
+	../common/rf_path.c \
+	../common/sgpio.c \
 	../common/si5351c.c \
 	../common/max2837.c \
+	../common/max5864.c \
 	../common/rffc5071.c
 
 include ../common/Makefile_inc.mk

=== firmware/startup/Makefile ===
# Hey Emacs, this is a -*- makefile -*-

BINARY = startup

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/rf_path.c \
	../common/sgpio.c \
	../common/si5351c.c \
	../common/max2837.c \
	../common/max5864.c \
	../common/rffc5071.c

include ../common/Makefile_inc.mk

=== firmware/startup_systick/Makefile ===
# Hey Emacs, this is a -*- makefile -*-

BINARY = startup_systick

SRC = $(BINARY).c \
	../common/hackrf_core.c \
	../common/rf_path.c \
	../common/sgpio.c \
	../common/si5351c.c \
	../common/max2837.c \
	../common/max5864.c \
	../common/rffc5071.c

include ../common/Makefile_inc.mk

=== firmware/startup_systick_perfo/Makefile ===
# Hey Emacs, this is a -*- makefile -*-

BINARY = startup_systick_perfo_SPIFI

SRC = startup_systick.c \
	perf_mips.c \
	../common/hackrf_core.c \
	../common/rf_path.c \
	../common/sgpio.c \
	../common/si5351c.c \
	../common/max2837.c \
	../common/max5864.c \
	../common/rffc5071.c

include ../common/Makefile_inc.mk

=== host/hackrf-tools/CMakeLists.txt ===
--- 
+++ 
@@ -62,17 +62,3 @@
     ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
 )
 endif()
-
-########################################################################
-# Install udev rules
-########################################################################
-option(INSTALL_UDEV_RULES "Install udev rules for HackRF" OFF)
-if (INSTALL_UDEV_RULES)
-    install (
-        FILES 52-hackrf.rules
-        DESTINATION "/etc/udev/rules.d"
-        COMPONENT "udev"
-        )
-else (INSTALL_UDEV_RULES)
-    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
-endif (INSTALL_UDEV_RULES)

=== host/libhackrf/CMakeLists.txt ===
--- 
+++ 
@@ -94,3 +94,17 @@
     ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
 )
 endif()
+
+########################################################################
+# Install udev rules
+########################################################################
+option(INSTALL_UDEV_RULES "Install udev rules for HackRF" OFF)
+if (INSTALL_UDEV_RULES)
+    install (
+        FILES 53-hackrf.rules
+        DESTINATION "/etc/udev/rules.d"
+        COMPONENT "udev"
+        )
+else (INSTALL_UDEV_RULES)
+    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
+endif (INSTALL_UDEV_RULES)

=== host/hackrf-tools/src/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013 Benjamin Vernoux
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

set(INSTALL_DEFAULT_BINDIR "bin" CACHE STRING "Appended to CMAKE_INSTALL_PREFIX")

if(MSVC)
add_library(libgetopt_static STATIC
    ../getopt/getopt.c
)
endif()

add_executable(hackrf_max2837 hackrf_max2837.c)
install(TARGETS hackrf_max2837 RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hackrf_si5351c hackrf_si5351c.c)
install(TARGETS hackrf_si5351c RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hackrf_transfer hackrf_transfer.c)
install(TARGETS hackrf_transfer RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hackrf_rffc5071 hackrf_rffc5071.c)
install(TARGETS hackrf_rffc5071 RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hackrf_spiflash hackrf_spiflash.c)
install(TARGETS hackrf_spiflash RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hackrf_cpldjtag hackrf_cpldjtag.c)
install(TARGETS hackrf_cpldjtag RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

add_executable(hackrf_info hackrf_info.c)
install(TARGETS hackrf_info RUNTIME DESTINATION ${INSTALL_DEFAULT_BINDIR})

if(NOT libhackrf_SOURCE_DIR)
include_directories(${LIBHACKRF_INCLUDE_DIR})
LIST(APPEND TOOLS_LINK_LIBS ${LIBHACKRF_LIBRARIES})
else()
LIST(APPEND TOOLS_LINK_LIBS hackrf)
endif()

if(MSVC)
LIST(APPEND TOOLS_LINK_LIBS libgetopt_static)
endif()


target_link_libraries(hackrf_max2837 ${TOOLS_LINK_LIBS})
target_link_libraries(hackrf_si5351c ${TOOLS_LINK_LIBS})
target_link_libraries(hackrf_transfer ${TOOLS_LINK_LIBS})
target_link_libraries(hackrf_rffc5071 ${TOOLS_LINK_LIBS})
target_link_libraries(hackrf_spiflash ${TOOLS_LINK_LIBS})
target_link_libraries(hackrf_cpldjtag ${TOOLS_LINK_LIBS})
target_link_libraries(hackrf_info ${TOOLS_LINK_LIBS})

=== debian/changelog ===
hackrf (2014.08.1-1) unstable; urgency=low

  * New upstream tag v2014.08.1

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 02 Sep 2014 23:27:34 -0400

hackrf (2014.04.1-4) unstable; urgency=low

  * Update to v2014.04.1-33-g635d429

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 27 Aug 2014 02:49:23 -0400

hackrf (2014.04.1-3) unstable; urgency=low

  * Update to v2014.04.1-25-gaec97e7

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 20 Aug 2014 15:40:53 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any]
 Standards-Version: 3.9.4
 Homepage: http://greatscottgadgets.com/hackrf/
-Vcs-Git: https://github.com/mossmann/hackrf.git
-Vcs-Browser: https://github.com/mossmann/hackrf
+Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-hackrf.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/bottoms/pkg-hackrf.git;a=summary
 
 Package: libhackrf-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 override_dh_auto_configure: debian/libhackrf0.udev
 	dh_auto_configure --sourcedirectory=host --builddirectory=build -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
 
-debian/libhackrf0.udev: host/hackrf-tools/52-hackrf.rules
-	cp -p host/hackrf-tools/52-hackrf.rules debian/libhackrf0.udev
+debian/libhackrf0.udev: host/libhackrf/53-hackrf.rules
+	cp -p host/libhackrf/53-hackrf.rules debian/libhackrf0.udev
 
 get-orig-source:
 	git clone https://github.com/mossmann/hackrf.git
